classification
Title: Upgrade SQLite to 3.8.3 with 3.4.0 Windows and OS X installers
Type: Stage: resolved
Components: Build Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: ghaering, larry, loewis, ned.deily, python-dev
Priority: release blocker Keywords:

Created on 2014-01-31 20:57 by ned.deily, last changed 2014-07-10 11:35 by berker.peksag. This issue is now closed.

Messages (13)
msg209830 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-01-31 20:57
The SQLite project has requested that we consider shipping SQLite version 3.8.3 with the Windows and OS X binary installers for Python 3.4.0, primarily to make available support for the new Common Table Expressions feature.  3.8.3 is expected to be officially released 2014-02-03.
msg210284 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-05 02:45
New changeset 32af4954e46a by Ned Deily in branch 'default':
Issue #20465: Update SQLite shipped with OS X installer to 3.8.3.
http://hg.python.org/cpython/rev/32af4954e46a
msg210285 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-02-05 02:47
With the consent of the release manager, the SQLite library to be shipped with the OS X installers for 3.4.0 has been updated to 3.8.3.

Assigning to MvL for the Windows installers.
msg210287 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-05 03:06
I assumed that you guys took responsibility for the binary installers, and the decision was up to you.  But I'm happy to take ultimate responsibility for the decision to ship SQLite 3.8.3 with 3.4 if that's what policy demands, and yes I give it my blessing.

According to the release notes:
    http://www.sqlite.org/draft/changes.html
there are two new constants: SQLITE_DETERMINISTIC and SQLITE_READONLY_DBMOVED.  It looks like there's no point in adding these int constants to the module, as the latter is an error (and those never escape the module) and the former is a flag to creating a "function" (and there's no exposed means to pass in flags here).

Do we need to do anything to support additional features in 3.8.3, like this SQLITE_DETERMINISTIC flag?

Roping in "ghaering", the sqlite expert from the list.
msg210288 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-02-05 03:12
Larry, I thought we had agreed on everything in email so I wasn't expecting any further pronouncements from you, just documenting that post feature cutoff decision.  I think we're good to go.
msg210289 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-05 03:23
Ned, yeah I recall the discussion, and I didn't think you needed a further pronouncement from me.  I was just saying, I'm not sure you *ever* needed a pronouncement from me. ;-)

Everything's perfectly alright now. We're fine... we're all fine here now. Thank you. How are you?
msg212496 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-01 11:41
3.8.3 has been superseded by 3.8.3.1.
msg212522 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-01 22:01
New changeset 5fa3f6d82d61 by Ned Deily in branch 'default':
Issue #20465: Update OS X installer build to use SQLite 3.8.0.1.
http://hg.python.org/cpython/rev/5fa3f6d82d61
msg212523 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-01 22:05
New changeset a8470f88e7b4 by Ned Deily in branch 'default':
Issue #20465: fix NEWS typo (it's 3.8.3.1)
http://hg.python.org/cpython/rev/a8470f88e7b4
msg212525 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-03-01 22:21
"Fix a bug (ticket 4c86b126f2) that causes rows to go missing on some queries with OR clauses and IS NOT NULL operators in the WHERE clause, when the SQLITE_ENABLE_STAT3 or SQLITE_ENABLE_STAT4 compile-time options are used."

http://www.sqlite.org/releaselog/3_8_3_1.html

We don't use those compile-time options for the OS X build, so, if this is the only meaningful bug, it may be a no-op.  The tests pass before and after.  Still, it's probably better to update now.  I've opened Issue20818 as a cherry pick request for 3.4.0.
msg212575 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-02 18:43
New changeset 9459f517d854 by Martin v. Löwis in branch 'default':
Issue #20465: Update Windows installer to SQLite 3.8.3.1.
http://hg.python.org/cpython/rev/9459f517d854
msg212577 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-02 18:45
Cherry-picking in Issue20832.
msg213837 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-17 06:31
New changeset 7260dffad495 by Ned Deily in branch '3.4':
Issue #20465: Update OS X installer build to use SQLite 3.8.0.1.
http://hg.python.org/cpython/rev/7260dffad495

New changeset 1f922e9742b7 by Ned Deily in branch '3.4':
Issue #20465: fix NEWS typo (it's 3.8.3.1)
http://hg.python.org/cpython/rev/1f922e9742b7

New changeset 9be3bf7b5b8d by Martin v. Löwis in branch '3.4':
Issue #20465: Update Windows installer to SQLite 3.8.3.1.
http://hg.python.org/cpython/rev/9be3bf7b5b8d
History
Date User Action Args
2014-07-10 11:35:40berker.peksagsetstage: needs patch -> resolved
2014-03-17 06:31:14python-devsetmessages: + msg213837
2014-03-02 18:45:20loewissetstatus: open -> closed
resolution: fixed
messages: + msg212577
2014-03-02 18:43:21python-devsetmessages: + msg212575
2014-03-01 22:21:35ned.deilysetmessages: + msg212525
2014-03-01 22:05:21python-devsetmessages: + msg212523
2014-03-01 22:01:24python-devsetmessages: + msg212522
2014-03-01 11:41:34loewissetmessages: + msg212496
2014-02-05 03:23:20larrysetmessages: + msg210289
2014-02-05 03:12:04ned.deilysetmessages: + msg210288
2014-02-05 03:06:27larrysetnosy: + ghaering
messages: + msg210287
2014-02-05 02:47:34ned.deilysetassignee: loewis
messages: + msg210285
2014-02-05 02:45:08python-devsetnosy: + python-dev
messages: + msg210284
2014-01-31 20:57:25ned.deilycreate